{% extends 'login/login-template.html.twig' %}

{% block form %}
<h1 id="login-page-title">Bienvenue ! Veuillez entrer le mot de passe associé à l'identifiant : {{ username }}</h1>

{% if app.request.get('forgotten') %}
    <div class="alert alert-success">
        <i class="fa fa-check"></i>
        Si vos informations sont correctes, un e-mail a été envoyé
    </div>
{% endif %}

{{ form_start(form, {'attr': {'id': 'login-form'}}) }}

<div class="login-input-row">
    {{ form_label(form.password) }}
    <div class="form-group input-group-front-icon">
        <span><i class="fa fa-lock"></i></span>
        <!--suppress HtmlFormInputWithoutLabel -->
        <input class="form-control ng-untouched ng-dirty ng-valid" required="" name="{{ field_name(form.password) }}" id="{{ form.password.vars.id }}" type="password">
    </div>
</div>

<div class="float-right">
    <a class="btn btn-hide" href="{{ back_url }}">
        <i class="fa fa-angle-double-left"></i>
        <span>Retour</span>
    </a>
    <a class="btn btn-hide" href="{{ url('public_forgotten_password', {username: app.request.get('username')}) }}">
        <span>Mot de passe oublié ?</span>
    </a>
    <button class="btn btn-primary" type="submit">
        <i class="fa fa-sign-in fa-sign-in-alt fa-fw"></i>
        Se connecter
    </button>
</div>
{{ form_end(form) }}

{% endblock %}

{% block bottomScript %}
<script>
    document.getElementById('loading-screen').className = 'loaded';
    document.getElementById("{{ form.password.vars.id }}").focus();
</script>
{% endblock %}
